<?php
ini_set("session.cookie_lifetime",60*60*10);
ini_set("session.gc_maxlifetime", 60*60*10);
	session_start();
	include("cls_conexion.php");$CNN=new ClsMySQL();include("conexion23.php");
	if(strlen($_SESSION['SYS_USER_ID'])==0){JsDir("login.php");	return;}
	//
if(vbval($_SESSION['SYS_USER_GI'])!=USU_GET_GI($_SESSION['SYS_USER_ID'])){
	JsDir("cerrar.php");	
	return;
}
//
	
	$StrId=V($_POST['TxtId']);
	$StrCmd=V($_POST['TxtAc']);
	//-------------------------
	$StrAlm=V($_POST['CboAlm']);		
	$StrCom=V($_POST['CboCom']);		
	$StrSer=V($_POST['TxtSer']);		
	$StrNum=V($_POST['TxtNum']);		
	$StrDex=V($_POST['TxtDex']);		
	$StrHax=V($_POST['TxtHax']);			
	$StrPro=V($_POST['TxtPro']);	
	$StrUsu=V($_POST['CboUsu']);		
	//-------------------------
	
	if($_SESSION['SYS_USER_ALM']=="%"){
		if(strlen($StrAlm)==0)$StrAlm=GetSO("alm_obs","almacenes","","alm_obs");
	}else{
		$StrAlm=$_SESSION['SYS_USER_ALM'];
	}
	if(strlen($StrCom)==0) $StrCom="TODOS";	
	if(strlen($StrUsu)==0) $StrUsu=GetSO("nom","usuarios","","nom");	
	//-------------------------
	if($StrCom=="TODOS"){
		$StrCom_="%";
	}else{
		$StrCom_=$StrCom;
	}
	$StrNum_=$StrNum."%";
	$StrSer_=$StrSer."%";
	if(strlen($StrDex)==0){
		$StrDex_="2000-01-01";
	}else{
		$StrDex_=ToDate($StrDex);
	}
	if(strlen($StrHax)==0){
		$StrHax_="2030-12-01";//
	}else{
		$StrHax_=ToDate($StrHax);
	}
	$StrPro_=$StrPro."%";
	//-------------------------
	$LStrTR=gn("count(*)","vventas",
							"ID>0 AND 
							ALM LIKE '$StrAlm' AND 
							COM LIKE '$StrCom_' AND 
							NUM LIKE '$StrNum_' AND 
							SER LIKE '$StrSer_' AND 
							FEC >= '$StrDex_' AND 
							FEC <= '$StrHax_' AND 
							CLI LIKE '$StrPro_' AND
							USU LIKE '$StrUsu'");
	$LStrPag=V($_POST['TxtPag']);	
if($StrCmd=="F"){$LStrPag="1";}
$VP_RegXPag=1000;	
$LStrPag=PagGet($LStrPag,$StrCmd,$LStrTR,$VP_RegXPag);
	//
	if($StrCmd=="PDF"){	
		//
		$TI="REPORTE DE VENTAS ALMACEN/USUARIO :: ALMACEN : $StrAlm  USUARIO :  $StrUsu";
		$s="SELECT COM,CONCAT(SER,'-',NUM),DATE_FORMAT(FEC,'%d-%m-%y'),CLI,
			FORMAT(TOT,1),ROUND(ACU,1) FROM vventas WHERE 
			ID>0 AND ALM LIKE '$StrAlm' AND COM LIKE '$StrCom_' AND 
			NUM LIKE '$StrNum_' AND SER LIKE '$StrSer_' AND 
			FEC >= '$StrDex_' AND FEC <= '$StrHax_' AND 
			CLI LIKE '$StrPro_' AND USU LIKE '$StrUsu' ORDER BY ALM,COM,SER,NUM,FEC,CLI ";
		$T="COMPROB.,NUMERO,FECHA,CLIENTE,TOTAL,ACUENTA";
		$E="12, 9, 8,33,9,9";
		$A=" 0, 0, 0, 0,2,2";		
		//
		$_ID=GenId("id","reportes");
		PDF_TIT($_ID,$TI);
		PDF_SQL($_ID,$s);
		PDF_CAM($_ID,$T);
		PDF_ESP($_ID,$E);
		PDF_ANC($_ID,$A);		
		$StrFilePDF=PDF_CREATE($_ID);	
		//
		JsDir($StrFilePDF);
		return;			
	}
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<title>Reporte de ventas por usuario</title>
<!--CSS_NEW------------------------------------->
<link rel="stylesheet" type="text/css" href="estiloss.css"  />
<link rel="stylesheet" type="text/css" href="basic.css"  />
<!--CSS_NEW------------------------------------->
<?php AddJs();?>
<script type="text/javascript" src="fe/funciones.js"></script>
<script language="javascript">
$(document).ready(function() {
	$(".botonExcel").click(function(event) {
		$("#datos_a_enviar").val( $("<div>").append( $("#Exportar_a_Excel").eq(0).clone()).html());
		$("#FormularioExportacion").submit();
});
});
</script>
<script>
$(document).ready(function(){
$("#TxtDex").mask("99-99-99");
$("#TxtHax").mask("99-99-99");
});
</script>
<style type="text/css">
<!--
body {
	background-color: #CCC;
}
#Layer1 {
	position:absolute;
	left:345px;
	top:115px;
	width:123px;
	height:35px;
	z-index:1;
}
.centrarFrm{
	width:900px;
	height:600px;
	position:absolute;
	left:50%;
	top:50%;
	background-color:#006699;
	margin:-300px 0 0 -450px;
}
#Layer2 {
	position:absolute;
	left:409px;
	top:205px;
	width:82px;
	height:24px;
	z-index:1;
}
.Estilo1 {
	font-family: Arial, Helvetica, sans-serif;
	font-weight: bold;
	color: #FFFFFF;
}
.f2 {font-family: Arial, Helvetica, sans-serif; font-weight: bold; color: #FFFFFF; font-size: 12px; }
.Estilo3 {color: #FFFFFF; font-size: 12px; font-family: Arial, Helvetica, sans-serif;}
.Estilo4 {color: #000099}
.Estilo5 {color: #000000}

-->
</style>

</head>
<body  <?php echo $StrMsg;?>>
<div Id="DivFRM"  class="centrarFrm" >
<form id="Frm" name="Frm" method="post" action="rep_ventas_x_usu.php">
  
    <div id="layer6" style="position:absolute; left: 284px; top: 107px; width: 74px;">
      <div align="left" class="f2">NUMERO</div>
    </div>
    <div id="layer5" style="position:absolute; left: 79px; top: 50px; width: 341px; height: 28px;">
      <div align="left" class="f2">
        <input name="CmdV" type="button" id="CmdV" 
        value="Volver" onclick="fVolver('menu.php');" />
        <input type="hidden" name="TxtAc" id="TxtAc" />
        <input name="TxtPag" id="TxtPag" type="hidden" value="<?php echo $LStrPag; ?>" />
		<input name="FEC_SERVER" type="hidden" id="FEC_SERVER" value="<?php echo date("d-m-y");?>"/>  
      </div>
    </div>
    <div id="layer3" style="position:absolute; left: 25px; top: 154px; width: 856px; height: 411px; overflow:auto">
      <div align="left" class="f2">
        <table id="Exportar_a_Excel" width="840" height="19" border="1" cellpadding="0" cellspacing="0">
        <tr  >
            <td height="18" colspan="7" bgcolor="#666666" align="center">
<?php echo PagBtn($LStrTR,$VP_RegXPag,$LStrPag);?>
            </td>
           
          </tr>
          <tr>
            <td width="106" bgcolor="#999999"><span class="Estilo4">ALMACEN</span></td>
            <td width="104" bgcolor="#999999"><span class="Estilo4">COMPROBANTE</span></td>
            <td width="77" bgcolor="#999999"><span class="Estilo4">NUMERO</span></td>
            <td width="83" bgcolor="#999999"><span class="Estilo4">FECHA</span></td>
            <td width="307" bgcolor="#999999"><span class="Estilo4">CLIENTE</span></td>            
            <td width="72" bgcolor="#999999" align="right"><span class="Estilo4">TOTAL</span></td>
            <td width="75" bgcolor="#999999" align="right"><span class="Estilo4">A CUENTA</span></td>
          </tr>
		  <?php		  		
		  		$StrTemp=$StrPag * $VP_RegXPag;
				$s="SELECT ID,ALM,COM,CONCAT(SER,'-',NUM),DATE_FORMAT(FEC,'%d-%m-%y'),SUBSTRING(CLI,1,37) AS CLI,
					 FORMAT(TOT,1),ROUND(ACU,1)
				     FROM vventas 
					 WHERE 
				 	 ID>0 AND 
					 ALM LIKE '$StrAlm' AND 
					 COM LIKE '$StrCom_' AND 
					 NUM LIKE '$StrNum_' AND 
					 SER LIKE '$StrSer_' AND 
					 FEC >= '$StrDex_' AND 
					 FEC <= '$StrHax_' AND 
					 CLI LIKE '$StrPro_' AND USU LIKE '$StrUsu' 
					 ORDER BY ALM,COM,SER,NUM,FEC,CLI ";
				$X1="<td bgcolor=\"#FFFFFF\"><span class=\"Estilo5\">";
				$X1B="<td bgcolor=\"#FFFFFF\" align=\"right\"><span class=\"Estilo5\">";
				$X2="</span></td>";
				$s=PagSql($s,$LStrPag,$VP_RegXPag,$LStrTR);
				$result = grs($s);				
				while ($row = $result->fetch_row()){
					echo "<tr   >";
					echo $X1.$row[1].$X2;
					echo $X1.$row[2].$X2;
					echo $X1.$row[3].$X2;
					echo $X1.$row[4].$X2;
					echo $X1.$row[5].$X2;
					echo $X1B.$row[6].$X2;
					echo $X1B.$row[7].$X2;	
					echo "</tr>";
				}

		  ?>	  

         
        </table>
      </div>
    </div>
    <div id="layer" style="position:absolute; left: 79px; top: 30px; width: 412px; height: 24px;">
      <div align="left" class="Estilo1">REPORTE DE VENTAS POR USUARIO</div>
    </div>
          <input name="TxtNum" type="text" id="TxtNum" 
          style="position:absolute; left: 283px; top: 125px; width: 60px;" value="<?php echo $StrNum;?>"  
          onkeydown="return SoloTextoEx(event,'TxtDex');"
          tabindex="1" />

    <div id="LblTit" style="position:absolute; left: 20px; top: 25px; width: 64px;">
    <div align="left" class="Estilo1"><img src="img/buscar.png" width="57" height="60" /></div>
  </div>	
        <input name="CmdB" type="button" id="CmdB"
style="position:absolute; left: 740px; top: 125px; width: 59px;"
 value="Filtrar" onclick="fFiltrar();" />

    <div id="layer7" style="position:absolute; left: 355px; top: 91px; width: 45px;">
      <div align="left" class="f2">DESDE</div>
    </div>
<div class="EV" style="left: 351px; top: 107px; width: 88px; color:#FF0"><u><a onclick="fFecServer('TxtDex')">(dd-mm-yy) +</a></u></div>

<input name="TxtDex" type="text" id="TxtDex" 
        style="position:absolute; left: 353px; top: 125px; width: 63px;" value="<?php echo $StrDex;?>"  
        onkeydown="return SoloFec(this,event,'TxtHax');"
        tabindex="1" />

        <input name="TxtPro" type="text" id="TxtPro" 
        style="position:absolute; left: 504px; top: 125px; width: 120px;" value="<?php echo $StrPro;?>"  
        onkeydown="return SoloTextoEx(event,'CboUsu');" 
        tabindex="1" />

    <div id="layer10" style="position:absolute; left: 506px; top: 108px; width: 100px;">
      <div align="left" class="f2">CLIENTE</div>
    </div>
    <div id="layer11" style="position:absolute; left: 432px; top: 91px; width: 60px;">
      <div align="left" class="f2">HASTA</div>
    </div>
<div class="EV" style="left: 429px; top: 107px; width: 88px; color:#FF0"><u><a onclick="fFecServer('TxtHax')">(dd-mm-yy) +</a></u></div>

<input name="TxtHax" type="text" id="TxtHax" 
        style="position:absolute; left: 431px; top: 125px; width: 59px;" 
        value="<?php echo $StrHax;?>"  
        onkeydown="return SoloFec(this,event,'TxtPro');"
        tabindex="1" />

        <select name="CboCom" id="CboCom" 
        style="position:absolute; left: 116px; top: 125px; width: 108px;" 
onkeydown="return SoloTextoEx(event,'TxtSer');">
<?php
if($StrCom=="TODOS"){
echo "<option value=\"TODOS\" selected=\"selected\">TODOS</option>";	
}else{
echo "<option value=\"TODOS\" >TODOS</option>";	
}
$s="SELECT com_nombre FROM comprobantes WHERE id_comprobante> 0 ORDER BY com_nombre";
$result = grs($s);
while ($row = $result->fetch_row()){
if($StrCom==$row[0]){
echo "<option value=\"$row[0]\" selected=\"selected\">$row[0]</option>";
}else{
echo "<option value=\"$row[0]\" >$row[0]</option>";
}
}
?>
        </select>

    <div id="layer13" style="position:absolute; left: 119px; top: 107px; width: 102px;">
      <div align="left" class="f2">COMPROBANTE</div>
    </div>
<select name="CboAlm" id="CboAlm" style="position:absolute; left: 24px; top: 125px; width: 85px;" 
onkeydown="return SoloTextoEx(event,'CboCom');">
<?php echo ListALM($StrAlm); ?>
</select>

    <div id="layer14" style="position:absolute; left: 26px; top: 107px; width: 74px;">
      <div align="left" class="f2">ALMACEN</div>
    </div>
    <div id="layer15" style="position:absolute; left: 235px; top: 107px; width: 46px;">
      <div align="left" class="f2">SERIE</div>
    </div>
        <input name="TxtSer" type="text" id="TxtSer" 
          style="position:absolute; left: 235px; top: 125px; width: 39px;" value="<?php echo $StrSer;?>"  
          onkeydown="return SoloTextoEx(event,'TxtNum');"
          tabindex="1" />

    <div id="layer17" style="position:absolute; left: 637px; top: 108px; width: 82px;">
      <div align="left" class="f2">USUARIO</div>
    </div>
<select name="CboUsu" id="CboUsu" 
style="position:absolute; left: 634px; top: 125px; width: 99px;" 
onkeydown="return SoloTextoEx(event,'CmdB');">
<?php
$s="SELECT nom FROM usuarios WHERE id_usuario> 0 ORDER BY nom";
$result = grs($s);
while ($row = $result->fetch_row()){
if($StrUsu==$row[0]){
echo "<option value=\"$row[0]\" selected=\"selected\">$row[0]</option>";
}else{
echo "<option value=\"$row[0]\" >$row[0]</option>";
}
}
?>
</select>

<input name="CmdB" type="button" id="CmdB"
style="position:absolute; left: 805px; top: 125px; width: 73px;"
value="Imprimir" onclick="fPDF();" />

</form>

<form action="ficheroExcel.php" method="post" target="_blank" id="FormularioExportacion" >
<div style="position:absolute; left: 146px; top: 50px; width: 45px; height: 15px;">  
<input name="" type="button" class="botonExcel" value="Exportar" />
<input type="hidden" id="datos_a_enviar" name="datos_a_enviar" />
</div>
</form>

</div>
</body>
</html>
